=== debian/changelog ===
cubeb (0.0~git20211015.d512bfa+ds-1) unstable; urgency=medium

  * Initial release. Closes: #995059

 -- Andrea Pappacoda <andrea@pappacoda.it>  Sun, 17 Oct 2021 17:01:28 +0000
