=== debian/control ===
Source: cubeb
Section: libs
Priority: optional
Maintainer: Andrea Pappacoda <andrea@pappacoda.it>
Build-Depends: cmake (>= 3.1), debhelper-compat (= 13)
Build-Depends-Arch: libasound2-dev,
                    libjack-jackd2-dev,
                    libpulse-dev,
                    libsndio-dev,
                    libspeexdsp-dev,
                    pkg-config
Standards-Version: 4.6.0
Homepage: https://github.com/mozilla/cubeb
Rules-Requires-Root: no

Package: libcubeb0
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: cross platform audio library
 cubeb is a cross platform audio library most notable for its use as
 the audio backend within Gecko, Mozilla's browser engine. It supports
 multiple audio backends and allows enumeration of audio devices and
 opening audio streams with control over latency, sample rate and more.
 .
 This package contains the shared library.

Package: libcubeb-dev
Section: libdevel
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libcubeb0 (= ${binary:Version}),
         libspeexdsp-dev,
         ${misc:Depends}
Description: cross platform audio library - development files
 cubeb is a cross platform audio library most notable for its use as
 the audio backend within Gecko, Mozilla's browser engine. It supports
 multiple audio backends and allows enumeration of audio devices and
 opening audio streams with control over latency, sample rate and more.
 .
 This package contains the development files.
