=== debian/changelog ===
cubeb (0.0~git20211203.75d9d12+ds-1) unstable; urgency=medium

  * New upstream release.
  * d/control: add Vcs fields
  * d/patches: drop upstreamed patches
  * d/rules: add qa=+all option

 -- Andrea Pappacoda <andrea@pappacoda.it>  Mon, 06 Dec 2021 20:03:28 +0100
