=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: libs
 Priority: optional
 Maintainer: Andrea Pappacoda <andrea@pappacoda.it>
-Build-Depends: cmake (>= 3.1), debhelper-compat (= 13)
+Build-Depends: cmake (>= 3.1),
+               debhelper-compat (= 13)
 Build-Depends-Arch: libasound2-dev,
                     libjack-jackd2-dev,
                     libpulse-dev,
@@ -11,12 +12,15 @@
                     pkg-config
 Standards-Version: 4.6.0
 Homepage: https://github.com/mozilla/cubeb
+Vcs-Git: https://salsa.debian.org/debian/cubeb.git
+Vcs-Browser: https://salsa.debian.org/debian/cubeb
 Rules-Requires-Root: no
 
 Package: libcubeb0
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Description: cross platform audio library
  cubeb is a cross platform audio library most notable for its use as
  the audio backend within Gecko, Mozilla's browser engine. It supports
