## cubeb 0.0~git20211207.773f16b+ds

=== debian/changelog ===
cubeb (0.0~git20211207.773f16b+ds-1) unstable; urgency=medium

  * New upstream version 0.0~git20211207.773f16b
  * d/control: only enable ALSA backend on Linux
  * d/gbp.conf: use pbuilder

 -- Andrea Pappacoda <andrea@pappacoda.it>  Thu, 30 Dec 2021 14:11:12 +0100
