=== debian/control ===
--- 
+++ 
@@ -4,12 +4,13 @@
 Maintainer: Andrea Pappacoda <andrea@pappacoda.it>
 Build-Depends: cmake (>= 3.1),
                debhelper-compat (= 13)
-Build-Depends-Arch: libasound2-dev,
+Build-Depends-Arch: libasound2-dev [linux-any],
                     libjack-jackd2-dev,
                     libpulse-dev,
                     libsndio-dev,
                     libspeexdsp-dev,
                     pkg-config
+Build-Conflicts-Arch: libasound2-dev [!linux-any]
 Standards-Version: 4.6.0
 Homepage: https://github.com/mozilla/cubeb
 Vcs-Git: https://salsa.debian.org/debian/cubeb.git
