=== debian/changelog ===
cubeb (0.0~git20220110.9edd150+ds-1ubuntu2) jammy; urgency=medium

  * Rebuild against new old libsndio7.0.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 12 Mar 2022 05:59:13 +0100

cubeb (0.0~git20220110.9edd150+ds-1ubuntu1) jammy; urgency=medium

  * Mark one symbol as optional 

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 07 Mar 2022 12:14:53 +0100

cubeb (0.0~git20220110.9edd150+ds-1) unstable; urgency=medium

  * New upstream version 0.0~git20220110.9edd150
  * d/patches: use libbsd when using OSS and glibc

 -- Andrea Pappacoda <andrea@pappacoda.it>  Wed, 12 Jan 2022 19:29:06 +0100
