## cubeb 0.0~git20220309.6e5b9fe+ds

=== debian/changelog ===
cubeb (0.0~git20220309.6e5b9fe+ds-1) unstable; urgency=medium

  * New upstream version 0.0~git20220309.6e5b9fe+ds
  * d/tests: add autopkgtests
  * d/patches: drop upstreamed patches
  * d/libcubeb0.symbols: mark c++ symbol as optional.
    Thanks to Gianfranco Costamagna for the patch (Closes: 1006877)

 -- Andrea Pappacoda <andrea@pappacoda.it>  Fri, 11 Mar 2022 23:02:08 +0100
