=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Build-Depends: cmake (>= 3.1),
                debhelper-compat (= 13)
 Build-Depends-Arch: libasound2-dev [linux-any],
+                    libbsd-dev [kfreebsd-any],
                     libjack-jackd2-dev,
                     libpulse-dev,
                     libsndio-dev,
