=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all qa=+all
export LC_ALL = C.UTF-8

%:
	dh $@

# Tests can't be ran because they require access to the host's audio
# peripherals, and for some reason it seems that the tests can't access
# them when ran under debuild
override_dh_auto_configure:
	dh_auto_configure -- \
		-DBUILD_SHARED_LIBS=ON \
		-DBUILD_TESTS=OFF \
		-DBUILD_RUST_LIBS=OFF \
		-DBUILD_TOOLS=OFF \
		-DBUNDLE_SPEEX=OFF \
		-DLAZY_LOAD_LIBS=OFF \
		-DUSE_SANITIZERS=OFF
