## cubeb 0.0~git20220413.708f52c+ds

=== debian/changelog ===
cubeb (0.0~git20220413.708f52c+ds-1) unstable; urgency=medium

  * New upstream version 0.0~git20220413.708f52c+ds
  * d/control: mark as Multi-Arch: same
  * d/rules: disable qa=+canary to work around #1009408

 -- Andrea Pappacoda <andrea@pappacoda.it>  Fri, 15 Apr 2022 18:06:26 +0200
