=== debian/control ===
--- 
+++ 
@@ -20,6 +20,7 @@
 
 Package: libcubeb0
 Architecture: any
+Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
          ${shlibs:Depends}
@@ -34,6 +35,7 @@
 Package: libcubeb-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: libcubeb0 (= ${binary:Version}),
          libspeexdsp-dev,
