## cubeb 0.0~git20220721.dc511c6+ds

=== debian/changelog ===
cubeb (0.0~git20220721.dc511c6+ds-1) unstable; urgency=medium

  * New upstream version 0.0~git20220721.dc511c6+ds
  * d/control: build-depend on CMake 3.14

 -- Andrea Pappacoda <andrea@pappacoda.it>  Fri, 19 Aug 2022 01:23:19 +0200
