=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: libs
 Priority: optional
 Maintainer: Andrea Pappacoda <andrea@pappacoda.it>
-Build-Depends: cmake (>= 3.1),
-               debhelper-compat (= 13)
-Build-Depends-Arch: libasound2-dev [linux-any],
+Build-Depends: debhelper-compat (= 13)
+Build-Depends-Arch: cmake (>= 3.14),
+                    libasound2-dev [linux-any],
                     libbsd-dev [kfreebsd-any],
                     libjack-jackd2-dev,
                     libpulse-dev,
@@ -12,7 +12,7 @@
                     libspeexdsp-dev,
                     pkg-config
 Build-Conflicts-Arch: libasound2-dev [!linux-any]
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/mozilla/cubeb
 Vcs-Git: https://salsa.debian.org/debian/cubeb.git
 Vcs-Browser: https://salsa.debian.org/debian/cubeb
