=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all qa=+all
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all qa=+all,-canary
 export LC_ALL = C.UTF-8
 
 %:
