## cubeb 0.0~git20220930.6b474ee+ds

=== debian/changelog ===
cubeb (0.0~git20220930.6b474ee+ds-1) unstable; urgency=medium

  * New upstream version 0.0~git20220930.6b474ee+ds

 -- Andrea Pappacoda <andrea@pappacoda.it>  Tue, 04 Oct 2022 10:51:09 +0200

cubeb (0.0~git20220922.93d1fa3+ds-2) unstable; urgency=medium

  * d/control: fix arch all build

 -- Andrea Pappacoda <andrea@pappacoda.it>  Thu, 29 Sep 2022 20:12:23 +0200

cubeb (0.0~git20220922.93d1fa3+ds-1) unstable; urgency=medium

  * New upstream version 0.0~git20220922.93d1fa3+ds
  * d/control: add libcubeb-doc package.
    This new package contains Doxygen-generated API documentation

 -- Andrea Pappacoda <andrea@pappacoda.it>  Sun, 25 Sep 2022 19:14:15 +0200

cubeb (0.0~git20220906.4783607+ds-1) unstable; urgency=medium

  * New upstream version 0.0~git20220906.4783607+ds
  * d/rules: enable LTO

 -- Andrea Pappacoda <andrea@pappacoda.it>  Fri, 09 Sep 2022 13:39:33 +0200
