=== debian/control ===
--- 
+++ 
@@ -11,6 +11,11 @@
                     libsndio-dev,
                     libspeexdsp-dev,
                     pkg-config
+Build-Depends-Indep: cmake (>= 3.14),
+                     doxygen <!nodoc>,
+                     graphviz <!nodoc>,
+                     libspeexdsp-dev,
+                     pkg-config
 Build-Conflicts-Arch: libasound2-dev [!linux-any]
 Standards-Version: 4.6.1
 Homepage: https://github.com/mozilla/cubeb
@@ -40,6 +45,7 @@
 Depends: libcubeb0 (= ${binary:Version}),
          libspeexdsp-dev,
          ${misc:Depends}
+Recommends: libcubeb-doc
 Description: cross platform audio library - development files
  cubeb is a cross platform audio library most notable for its use as
  the audio backend within Gecko, Mozilla's browser engine. It supports
@@ -47,3 +53,17 @@
  opening audio streams with control over latency, sample rate and more.
  .
  This package contains the development files.
+
+Package: libcubeb-doc
+Section: doc
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends}
+Recommends: libjs-jquery
+Description: cross platform audio library - documentation
+ cubeb is a cross platform audio library most notable for its use as
+ the audio backend within Gecko, Mozilla's browser engine. It supports
+ multiple audio backends and allows enumeration of audio devices and
+ opening audio streams with control over latency, sample rate and more.
+ .
+ This package contains the generated Doxygen documentation.
