## cubeb 0.0~git20221207.51728e5+ds

=== debian/changelog ===
cubeb (0.0~git20221207.51728e5+ds-1) unstable; urgency=medium

  * New upstream version 0.0~git20221207.51728e5+ds
  * d/control: stop splitting arch and indep b-depends
  * d/rules: install documentation in the -dev docdir

 -- Andrea Pappacoda <andrea@pappacoda.it>  Thu, 08 Dec 2022 17:53:32 +0100
