## cubeb 0.0~git20221213.e4da2d4+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -139,7 +139,7 @@
 endif()
 
 if(NOT TARGET speex)
-  add_library(speex STATIC subprojects/speex/resample.c)
+  add_library(speex OBJECT subprojects/speex/resample.c)
   set_target_properties(speex PROPERTIES POSITION_INDEPENDENT_CODE TRUE)
   target_include_directories(speex INTERFACE subprojects)
   target_compile_definitions(speex PUBLIC
@@ -284,9 +284,22 @@
   try_compile(USE_OSS "${PROJECT_BINARY_DIR}/compile_tests"
     ${PROJECT_SOURCE_DIR}/cmake/compile_tests/oss_is_v4.c)
   if(USE_OSS)
-    target_sources(cubeb PRIVATE
-      src/cubeb_oss.c)
-    target_compile_definitions(cubeb PRIVATE USE_OSS)
+    # strlcpy is not available on BSD systems that use glibc,
+    # like Debian kfreebsd, so try using libbsd if available
+    include(CheckSymbolExists)
+    check_symbol_exists(strlcpy string.h HAVE_STRLCPY)
+    if(NOT HAVE_STRLCPY)
+      pkg_check_modules(libbsd-overlay IMPORTED_TARGET libbsd-overlay)
+      if(libbsd-overlay_FOUND)
+        target_link_libraries(cubeb PRIVATE PkgConfig::libbsd-overlay)
+        set(HAVE_STRLCPY true)
+      endif()
+    endif()
+    if (HAVE_STRLCPY)
+      target_sources(cubeb PRIVATE
+        src/cubeb_oss.c)
+      target_compile_definitions(cubeb PRIVATE USE_OSS)
+    endif()
   endif()
 endif()
 
@@ -357,19 +370,3 @@
   add_custom_target(doc ALL
     ${DOXYGEN_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/docs/Doxyfile
     WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/docs
-    COMMENT "Generating API documentation with Doxygen" VERBATIM)
-endif()
-
-if(BUILD_TESTS)
-  enable_testing()
-
-  macro(cubeb_add_test NAME)
-    add_executable(test_${NAME} test/test_${NAME}.cpp)
-    target_include_directories(test_${NAME} PRIVATE ${gtest_SOURCE_DIR}/include src)
-    target_link_libraries(test_${NAME} PRIVATE cubeb gtest_main)
-    add_test(${NAME} test_${NAME})
-    add_sanitizers(test_${NAME})
-    install(TARGETS test_${NAME})
-  endmacro(cubeb_add_test)
-
-  cubeb_add_test(sanity)
