=== debian/changelog ===
cubeb (0.0~git20221213.e4da2d4+ds-1) unstable; urgency=medium

  * New upstream version 0.0~git20221213.e4da2d4+ds

 -- Andrea Pappacoda <andrea@pappacoda.it>  Wed, 14 Dec 2022 13:57:56 +0100
