=== debian/changelog ===
cubeb (0.0~git20230201.70b4e3d+ds-1) unstable; urgency=medium

  * New upstream version 0.0~git20230201.70b4e3d+ds
    - sndio: switch audio to 24-bit precision

 -- Andrea Pappacoda <andrea@pappacoda.it>  Sat, 04 Feb 2023 02:32:35 +0100
