=== debian/control ===
--- 
+++ 
@@ -2,21 +2,18 @@
 Section: libs
 Priority: optional
 Maintainer: Andrea Pappacoda <andrea@pappacoda.it>
-Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: cmake (>= 3.14),
-                    libasound2-dev [linux-any],
-                    libbsd-dev [kfreebsd-any],
-                    libjack-jackd2-dev,
-                    libpulse-dev,
-                    libsndio-dev,
-                    libspeexdsp-dev,
-                    pkg-config
-Build-Depends-Indep: cmake (>= 3.14),
-                     doxygen <!nodoc>,
-                     graphviz <!nodoc>,
-                     libspeexdsp-dev,
-                     pkg-config
-Build-Conflicts-Arch: libasound2-dev [!linux-any]
+Build-Depends: debhelper-compat (= 13),
+               cmake (>= 3.14),
+               doxygen <!nodoc>,
+               graphviz <!nodoc>,
+               libasound2-dev [linux-any],
+               libbsd-dev [kfreebsd-any],
+               libjack-jackd2-dev,
+               libpulse-dev,
+               libsndio-dev,
+               libspeexdsp-dev,
+               pkg-config
+Build-Conflicts: libasound2-dev [!linux-any]
 Standards-Version: 4.6.1
 Homepage: https://github.com/mozilla/cubeb
 Vcs-Git: https://salsa.debian.org/debian/cubeb.git
