=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libspeexdsp-dev,
                pkg-config
 Build-Conflicts: libasound2-dev [!linux-any]
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/mozilla/cubeb
 Vcs-Git: https://salsa.debian.org/debian/cubeb.git
 Vcs-Browser: https://salsa.debian.org/debian/cubeb
