=== debian/changelog ===
cubeb (0.0~git20240115.dd8a91f+ds-1build3) noble; urgency=medium

  * No-change rebuild against libasound2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 07 Apr 2024 07:11:15 +0000

cubeb (0.0~git20240115.dd8a91f+ds-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:50:02 +0000

cubeb (0.0~git20240115.dd8a91f+ds-1build1) noble; urgency=medium

  * No-change rebuild against libasound2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 06:31:13 +0000

cubeb (0.0~git20240115.dd8a91f+ds-1) unstable; urgency=medium

  * New upstream version 0.0~git20240115.dd8a91f+ds
    - Add new APIs for input processing
    - Add new API for muting the input side of a stream
  * d/.symbols: add three new symbols

 -- Andrea Pappacoda <andrea@pappacoda.it>  Tue, 16 Jan 2024 16:06:29 +0100

cubeb (0.0~git20240108.ffec8ed+ds-1) unstable; urgency=medium

  * New upstream version 0.0~git20240108.ffec8ed+ds
    - jack: fix a rare segmentation fault

 -- Andrea Pappacoda <andrea@pappacoda.it>  Fri, 12 Jan 2024 15:28:49 +0100

cubeb (0.0~git20231212.ed2efe2+ds-1) unstable; urgency=medium

  * New upstream version 0.0~git20231212.ed2efe2+ds

 -- Andrea Pappacoda <andrea@pappacoda.it>  Wed, 13 Dec 2023 15:31:21 +0100
